"The language attribute on the script element is obsolete. You can safely omit it."?

Go To StackoverFlow.com

19

According to the W3C validator, I am getting this error:

The language attribute on the script element is obsolete. You can safely omit it.

…uage="JavaScript" src="js/gen_validatorv31.js" type="text/javascript"></script>

How do I fix this?

I checked through the script and it should not be an issue.

2012-04-03 21:54
by Henrik Petterson


35

<script type="text/javascript" src="js/gen_validatorv31.js"
     language="JavaScript"></script>

You don't need to include redundant language="JavaScript". Specifying just the type and src is valid, language is obsolete, remove it.

2012-04-03 21:56
by Brandon
If you are using HTML5 type="text/javascript" is the default so you could leave that out too if you wanted. See http://www.w3.org/html/wg/drafts/html/CR/scripting-1.html#attr-script-typ - Caltor 2014-02-19 10:42